# Data usage

An action block that gets the network data usage statistics.

The fiber will proceed immediately without pause.

This block gets the data usage recorded and stored by Android, see system Data usage settings.

Note! This feature isn’t officially supported until Android 6, requires the privileged service on lower versions, may not work on all devices.

## Input arguments

- Network interface — network interface, default is Mobile.
- Minimum timestamp — unix timestamp of the earliest data usage to get, default is first recorded usage.
- Maximum timestamp — unix timestamp of the latest data usage to get, default is current time.
- Package — package name of the app to get data usage for, default is for all apps.
- Subscription id — id of subscription (SIM) to get data usage for, default is all subscriptions. (Android 9-)
- Network name — SSID of Wi-Fi network to get data usage for, default is all networks. (Android 11-)

## Output variables

- Bytes transferred — variable to assign the bytes transferred, sum of up and downloaded.
- Bytes downloaded — variable to assign the bytes downloaded.
- Bytes uploaded — variable to assign the bytes uploaded.